# Uses of Interface
org.springframework.core.metrics.StartupStep

Packages that use StartupStep
Package
Description
org.springframework.core.metrics
Support package for recording metrics during application startup.
org.springframework.core.metrics.jfr
Support package for recording startup metrics using Java Flight Recorder.

## Uses of StartupStep in org.springframework.core.metrics

Methods in org.springframework.core.metrics that return StartupStep
Modifier and Type
Method
Description
`StartupStep`
ApplicationStartup.`start(String name)`
Create a new step and marks its beginning.
`StartupStep`
StartupStep.`tag(String key, String value)`
Add a `StartupStep.Tag` to the step.
`StartupStep`
StartupStep.`tag(String key, Supplier<String> value)`
Add a `StartupStep.Tag` to the step.

## Uses of StartupStep in org.springframework.core.metrics.jfr

Methods in org.springframework.core.metrics.jfr that return StartupStep
Modifier and Type
Method
Description
`StartupStep`
FlightRecorderApplicationStartup.`start(String name)`